Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageInPlaceFilter Class Reference

`#include <vtkImageInPlaceFilter.h>`

Inheritance diagram for vtkImageInPlaceFilter:

[legend]
Collaboration diagram for vtkImageInPlaceFilter:

[legend]
List of all members.

## Detailed Description

Filter that operates in place.

Date:
  2002/10/04 20:43:43

Revision:
  1.33

vtkImageInPlaceFilter is a filter super class that operates directly on the input region. The data is copied if the requested region has different extent than the input region or some other object is referencing the input region.

See also:
  vtkImageToImageFilter vtkImageMultipleInputFilter vtkImageTwoInputFilter vtkImageTwoOutputFilter

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (65%)
  - Martin, Ken (27%)

CVS logs (CVSweb):
  - .`cxx` (`/Filtering/vtkImageInPlaceFilter.cxx)`
  - .`h` (`/Filtering/vtkImageInPlaceFilter.h)`

Definition at line 48 of file vtkImageInPlaceFilter.h.

## Public Types
typedef vtkImageToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkImageInPlaceFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageInPlaceFilter ()
| ~vtkImageInPlaceFilter ()
virtual void | ExecuteData (vtkDataObject *out)
void | CopyData (vtkImageData *in, vtkImageData *out)

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageInPlaceFilter::Superclass

| Reimplemented from vtkImageToImageFilter. Reimplemented in vtkImageCursor3D. Definition at line 51 of file vtkImageInPlaceFilter.h.

## Constructor & Destructor Documentation

vtkImageInPlaceFilter::vtkImageInPlaceFilter | ( |  | ) | `[inline, protected]`

| Definition at line 55 of file vtkImageInPlaceFilter.h.

vtkImageInPlaceFilter::~vtkImageInPlaceFilter | ( |  | ) | `[inline, protected]`

| Definition at line 56 of file vtkImageInPlaceFilter.h.

## Member Function Documentation

virtual const char* vtkImageInPlaceFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter. Reimplemented in vtkImageCursor3D.

int vtkImageInPlaceFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter. Reimplemented in vtkImageCursor3D.

virtual int vtkImageInPlaceFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter. Reimplemented in vtkImageCursor3D.

vtkImageInPlaceFilter* vtkImageInPlaceFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter. Reimplemented in vtkImageCursor3D.

void vtkImageInPlaceFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageToImageFilter. Reimplemented in vtkImageCursor3D.

virtual void vtkImageInPlaceFilter::ExecuteData | ( | vtkDataObject * | out | ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter. Reimplemented in vtkImageCursor3D.

void vtkImageInPlaceFilter::CopyData | ( | vtkImageData * | in,
|  | vtkImageData * | out
| ) | `[protected]`

The documentation for this class was generated from the following file:

- Filtering/vtkImageInPlaceFilter.h